## Copyright (C) 1991-2006 Altera Corporation
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, Altera MegaCore Function License 
## Agreement, or other applicable license agreement, including, 
## without limitation, that your use is for the sole purpose of 
## programming logic devices manufactured by Altera and sold by 
## Altera or its authorized distributors.  Please refer to the 
## applicable agreement for further details.

## VENDOR "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 6.1 Build 201 11/27/2006 SJ Web Edition"

## DATE "02/01/2008 07:44:36"

## 
## Device: Altera EPM240T100C5 Package TQFP100
## 

## 
## This Tcl script should be used for PrimeTime (VHDL) only
## 

## This file can be sourced in primetime

set report_default_significant_digits 3
set hierarchy_separator .

set quartus_root "c:/altera/61/quartus/"
set search_path [list . [format "%s%s" $quartus_root "eda/synopsys/primetime/lib"]  ]

set link_path [list *  maxii_io_lib.db maxii_asynch_lcell_lib.db  maxii_ufm_lib.db maxii_lcell_register_lib.db  alt_vtl.db]

read_vhdl  -vhdl_compiler  maxii_all_pt.vhd 

##########################
## DESIGN ENTRY SECTION ##
##########################

read_vhdl  -vhdl_compiler vram_fast.vho
current_design vram
link
## Set variable timing_propagate_single_condition_min_slew to false only for versions 2004.06 and earlier
regexp {([1-9][0-9][0-9][0-9]\.[0-9][0-9])} $sh_product_version dummy version
if { [string compare "2004.06" $version ] != -1 } {
   set timing_propagate_single_condition_min_slew false
}
set_operating_conditions -analysis_type single
read_sdf vram_vhd_fast.sdo

################################
## TIMING CONSTRAINTS SECTION ##
################################


## Start clock definition ##
# WARNING:  The required clock period is not set. The default value (100 ns) is used. 
create_clock -period 100.000 -waveform {0.000 50.000} [get_ports { SYSCLK } ] -name SYSCLK  
# WARNING:  The required clock period is not set. The default value (100 ns) is used. 
create_clock -period 100.000 -waveform {0.000 50.000} [get_ports { MCINCR } ] -name MCINCR  
# WARNING:  The required clock period is not set. The default value (100 ns) is used. 
create_clock -period 100.000 -waveform {0.000 50.000} [get_ports { MSTB } ] -name MSTB  

set_propagated_clock [all_clocks]
set_clock_groups -asynchronous \
-group {SYSCLK} \
-group {MCINCR} \
-group {MSTB}
## End clock definition ##

## Start create collections ##
## End create collections ##

## Start global settings ##
## End global settings ##

## Start collection commands definition ##

## End collection commands definition ##

## Start individual pin commands definition ##
## End individual pin commands definition ##

## Start Output pin capacitance definition ##
set_load -pin_load 10 [get_ports { ADR0 } ]
set_load -pin_load 10 [get_ports { ADR1 } ]
set_load -pin_load 10 [get_ports { ADR10 } ]
set_load -pin_load 10 [get_ports { ADR11 } ]
set_load -pin_load 10 [get_ports { ADR12 } ]
set_load -pin_load 10 [get_ports { ADR13 } ]
set_load -pin_load 10 [get_ports { ADR14 } ]
set_load -pin_load 10 [get_ports { ADR15 } ]
set_load -pin_load 10 [get_ports { ADR16 } ]
set_load -pin_load 10 [get_ports { ADR17 } ]
set_load -pin_load 10 [get_ports { ADR2 } ]
set_load -pin_load 10 [get_ports { ADR3 } ]
set_load -pin_load 10 [get_ports { ADR4 } ]
set_load -pin_load 10 [get_ports { ADR5 } ]
set_load -pin_load 10 [get_ports { ADR6 } ]
set_load -pin_load 10 [get_ports { ADR7 } ]
set_load -pin_load 10 [get_ports { ADR8 } ]
set_load -pin_load 10 [get_ports { ADR9 } ]
set_load -pin_load 10 [get_ports { BHE } ]
set_load -pin_load 10 [get_ports { BLE } ]
set_load -pin_load 10 [get_ports { Bdata } ]
set_load -pin_load 10 [get_ports { CS } ]
set_load -pin_load 10 [get_ports { DB[0] } ]
set_load -pin_load 10 [get_ports { DB[10] } ]
set_load -pin_load 10 [get_ports { DB[11] } ]
set_load -pin_load 10 [get_ports { DB[12] } ]
set_load -pin_load 10 [get_ports { DB[13] } ]
set_load -pin_load 10 [get_ports { DB[14] } ]
set_load -pin_load 10 [get_ports { DB[15] } ]
set_load -pin_load 10 [get_ports { DB[1] } ]
set_load -pin_load 10 [get_ports { DB[2] } ]
set_load -pin_load 10 [get_ports { DB[3] } ]
set_load -pin_load 10 [get_ports { DB[4] } ]
set_load -pin_load 10 [get_ports { DB[5] } ]
set_load -pin_load 10 [get_ports { DB[6] } ]
set_load -pin_load 10 [get_ports { DB[7] } ]
set_load -pin_load 10 [get_ports { DB[8] } ]
set_load -pin_load 10 [get_ports { DB[9] } ]
set_load -pin_load 10 [get_ports { Gdata } ]
set_load -pin_load 10 [get_ports { Hsync } ]
set_load -pin_load 10 [get_ports { OE } ]
set_load -pin_load 10 [get_ports { OEclk } ]
set_load -pin_load 10 [get_ports { Rdata } ]
set_load -pin_load 10 [get_ports { Vsync } ]
set_load -pin_load 10 [get_ports { WE } ]
set_load -pin_load 10 [get_ports { WRTENBL } ]
## End Output pin capacitance definition ##

## Start clock uncertainty definition ##
## End clock uncertainty definition ##

## Start Multicycle and Cut Path definition ##
## End Multicycle and Cut Path definition ##

## Destroy Collections ##

update_timing
